{% extends 'layout.twig' %}

{% block body %}

    <div class="contenu" id="panier">
    
        <h1>
            {{ 'Récapitulatif panier' | trad }} : {{ panier.lib_panier }}            
        </h1>

        {{ ariane() }}

        <div class="content">

    
    <form action="" method="post" name="form_paniercs" id="form_paniercs"  >

        <div class="clearfix">
            <div class="row">
                {{ inputAdvance('SELECT', {
                    'titre' : 'Type d\'opération' | trad,
                    'name'  : 'TYPE_OPE',
                    'value' : typeOpe,
                    'listeValue' :  listeOpe,
                    'optionVide' : true,
                }) }}
            </div>

            <div class="row numFixAcd" {% if typeOpe != listeCS['numCSAcdVeolia'] and typeOpe != listeCS['numCSAcdSEM'] %}style="display:none"{% endif %}>
                {% if listeFourPanier | lengthTable > 1 %}
                    <p class="zoneError">
                        {{ "Votre panier est multi fournisseur : ce type d'opération n'est pas possible" |trad }}
                    </p>
                {% else %}
                    {{ inputAdvance('SELECT', {
                        'name' : 'CS_EXTENTION'~spliter()~'DA_ENTET'~spliter()~''~spliter()~listeCS['numAcd'],
                        'titre' : 'Accord-cadre',
                        'listeValue': listeAcd,
                        'value' : valueCS[listeCS['numAcd']],
                        'optionVide' : true,
                        'obligatoire' : true,
                    })}}
                {% endif %}
                </div>

            </div>

            {% for key, cs in listeOpe %}
                <div class="row numFix numFix{{key}}" {% if typeOpe != key  %}style="display:none"{% endif %}>
                    {{ inputCSAdvance({
                        'codTab' : 'DA_ENTET', 
                        'numFixe' : key,
                        'rowDisabled' : true,
                        'value' : valueCS[key],
                        'option': 'disabled',
                    }) }}
                </div>
            {% endfor %}

            <hr>
            {{ inputCSAdvance({
                'codTab' : 'DA_ENTET', 
                'numFixe' : listeCS['numCSDerog'],
                'value' : valueCS[listeCS['numCSDerog']],
                'ignoreIndispo' : true,
            }) }}                                     

            {{ inputCSAdvance({
                'codTab' : 'DA_ENTET', 
                'numFixe' : listeCS['numCSDerogTxt'],
                'value' : valueCS[listeCS['numCSDerogTxt']],
                'option' : valueCS[listeCS['numCSDerog']] != 'O' ? 'readOnly':'',
                'ignoreIndispo' : true,
            }) }}
        </div>

    </form>
    <div id="msgError" class="zoneError">
    </div>
    <div class="modal-footer">
    <button class="principal" id="saveCS">{{ 'Enregistrer' | trad }}</button>
    <button class="secondaire" onClick="closePopup();">{{ 'Fermer' | trad }}</button>
    </div>

    <script>
        $('#saveCS').click(function(){
            $.ajax({
                dataType : 'JSON',
                url: '{{ path('Specifique13.CSPanier.validateCs') }}',
                data: $('#form_paniercs').serialize(),
                type: "POST",
                success: function(result){
                    if (result.STATUT == 'O') {
                        redirectJSWithPost('{{ path('Panier.Panier.index') }}');			
                    } else { 
                        $('#msgError').html(result.erreur);
                    }
                }
            });
        });

        var countFrs = '{{ listeFourPanier | lengthTable }}';
        $('#input_CS_EXTENTION{{ spliter() }}DA_ENTET{{ spliter() }}{{ spliter() }}{{ listeCS['numCSDerog'] }}').change(function(){
            if ($(this).is(':checked')) {
                activeInput = false;
            } else {
                activeInput = true;
                $('#input_CS_EXTENTION{{ spliter() }}DA_ENTET{{ spliter() }}{{ spliter() }}{{ listeCS['numCSDerogTxt'] }}').val('');
            }

            $('#input_CS_EXTENTION{{ spliter() }}DA_ENTET{{ spliter() }}{{ spliter() }}{{ listeCS['numCSDerogTxt'] }}').prop('readOnly', activeInput);
        });


        $('#input_TYPE_OPE').change(function(){
            $('.numFix').hide();
            $('.numFixAcd').hide();

            $('#input_CS_EXTENTION{{ spliter() }}DA_ENTET{{ spliter() }}{{ spliter() }}{{ listeCS['numAcd'] }}').val('');
            
            $('.numFix').each(function(){
                var inputTmp = $(this).find('input').attr('name');
                $('#input_'+inputTmp).prop('checked', false);
                $('#value_switch_'+inputTmp).html($("#input_"+inputTmp).data('non'));
            });

            var numFix = $(this).val();


            if (countFrs > 1 && (numFix == '{{ listeCS['numCSAcdVeolia'] }}' || numFix == '{{ listeCS['numCSAcdSEM'] }}')) {
                $('.numFixAcd').show();
                return null;
            }


            if (numFix) {
                var input = 'CS_EXTENTION{{ spliter() }}DA_ENTET{{ spliter() }}{{ spliter() }}'+numFix;
                $('.numFix'+numFix).show();
                $('#input_'+input).prop('checked', true);
                $('#value_switch_'+input).html($("#input_"+input).data('oui'));
            } 
            
            if (numFix == '{{ listeCS['numCSAcdVeolia'] }}' || numFix == '{{ listeCS['numCSAcdSEM'] }}') {
                $('.numFixAcd').show();
            }

        });

        $('.switchV2 input').click(function() {
            if ($(this).is(':checked')== true){
                $(this).parent().find('.value_switch').text('{{ 'Oui' | trad }}');
            } else {
                $(this).parent().find('.value_switch').text('{{ 'Non' | trad }}');

            }
        });
    </script>
{% endblock %}